libusb: libusb_ss_usb_device_capability_descriptor Struct Reference

| libusb 1.0.26 A cross-platform user library to access USB devices

Data Fields
libusb_ss_usb_device_capability_descriptor Struct Reference
USB descriptors

A structure representing the SuperSpeed USB Device Capability descriptor This descriptor is documented in section 9.6.2.2 of the USB 3.0 specification. More...

`#include <libusb.h>`

## Data Fields
uint8_t | bLength
| Size of this descriptor (in bytes)
uint8_t | bDescriptorType
| Descriptor type. More...
uint8_t | bDevCapabilityType
| Capability type. More...
uint8_t | bmAttributes
| Bitmap encoding of supported device level features. More...
uint16_t | wSpeedSupported
| Bitmap encoding of the speed supported by this device when operating in SuperSpeed mode. More...
uint8_t | bFunctionalitySupport
| The lowest speed at which all the functionality supported by the device is available to the user. More...
uint8_t | bU1DevExitLat
| U1 Device Exit Latency.
uint16_t | bU2DevExitLat
| U2 Device Exit Latency.

## Detailed Description

A structure representing the SuperSpeed USB Device Capability descriptor This descriptor is documented in section 9.6.2.2 of the USB 3.0 specification.

All multiple-byte fields are represented in host-endian format.

## Field Documentation

## ◆ bDescriptorType

uint8_t libusb_ss_usb_device_capability_descriptor::bDescriptorType

Descriptor type.

Will have value libusb_descriptor_type::LIBUSB_DT_DEVICE_CAPABILITY LIBUSB_DT_DEVICE_CAPABILITY in this context.

## ◆ bDevCapabilityType

uint8_t libusb_ss_usb_device_capability_descriptor::bDevCapabilityType

Capability type.

Will have value libusb_capability_type::LIBUSB_BT_SS_USB_DEVICE_CAPABILITY LIBUSB_BT_SS_USB_DEVICE_CAPABILITY in this context.

## ◆ bmAttributes

uint8_t libusb_ss_usb_device_capability_descriptor::bmAttributes

Bitmap encoding of supported device level features.

A value of one in a bit location indicates a feature is supported; a value of zero indicates it is not supported. See libusb_ss_usb_device_capability_attributes.

## ◆ wSpeedSupported

uint16_t libusb_ss_usb_device_capability_descriptor::wSpeedSupported

Bitmap encoding of the speed supported by this device when operating in SuperSpeed mode.

See libusb_supported_speed.

## ◆ bFunctionalitySupport

uint8_t libusb_ss_usb_device_capability_descriptor::bFunctionalitySupport

The lowest speed at which all the functionality supported by the device is available to the user.

For example if the device supports all its functionality when connected at full speed and above then it sets this value to 1.

The documentation for this struct was generated from the following file:

- libusb.h